platform-samples
================

This is a public place for all sample projects related to the GitHub Platform.

## Hierarchy

The directories are organized to correlate with guides found on developer.github.com.
But here it is, broken down:

* _api_: here's a bunch of sample code relating to the GitHub API. Subdirectories in this
category are broken up by language. Do you have a language sample you'd like added?
Make a pull request and we'll consider it.
* _graphql_: here's a bunch of sample GraphQL queries that can be run against our [GitHub GraphQL API](https://docs.github.com/graphql).
* _hooks_: want to find out how to write a consumer for [our web hooks](https://docs.github.com/webhooks-and-events/webhooks/about-webhooks)? The examples in this subdirectory show you how. We are open for more contributions via pull requests.
* _microsoft-graph-api_: here's a bunch of sample [Microsoft Graph](https://learn.microsoft.com/en-us/graph/use-the-api) commands related to integrations for GitHub, such as EMU (Enterprise Managed User) OIDC authentication for Azure AD/Entra. 
* _pre-receive-hooks_: this one contains [pre-receive-hooks](https://docs.github.com/enterprise-server/admin/policies/enforcing-policy-with-pre-receive-hooks) that can block commits on GitHub Enterprise that do not fit your requirements. Do you have more great examples? Create a pull request and we will check it out.
* _scripts_: want to analyze or clean-up your Git repository? The scripts in this subdirectory show you how. We are open for more contributions via pull requests.
* _sql_: here are sql scripts for custom reporting for GitHub Enterprise Server. We are open for more contributions via pull requests.
